Package com.independentsoft.office.odf.styles

# Class ColumnSeparator

java.lang.Object
com.independentsoft.office.odf.styles.ColumnSeparator

public class ColumnSeparator extends Object
Represents a separator line between columns.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColumnSeparator()`
  Initializes a new instance of the ColumnSeparator class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColumnSeparator`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getColor()`
  Gets the color of a column or footnote separator line.
  `Size`
  `getHeight()`
  Gets the height of a column separator line.
  `ColumnSeparatorLineStyle`
  `getStyle()`
  Gets the line style of a column separator line.
  `VerticalLineAlignment`
  `getVerticalAlignment()`
  Specifies how to vertically align a line that is less than 100% of its height within the columned area.
  `Size`
  `getWidth()`
  Gets the width of a column separation.
  `void`
  `setColor​(String color)`
  Sets the color of a column or footnote separator line.
  `void`
  `setHeight​(Size height)`
  Sets the height of a column separator line.
  `void`
  `setStyle​(ColumnSeparatorLineStyle style)`
  Sets the line style of a column separator line.
  `void`
  `setVerticalAlignment​(VerticalLineAlignment verticalAlignment)`
  Specifies how to vertically align a line that is less than 100% of its height within the columned area.
  `void`
  `setWidth​(Size width)`
  Sets the width of a column separation.
  `String`
  `toString()`
  Converts the value of the current ColumnSeparator object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColumnSeparator

    public ColumnSeparator()
    Initializes a new instance of the ColumnSeparator class.

- ## Method Details

  - ### clone

    public ColumnSeparator clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current ColumnSeparator object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyle

    public ColumnSeparatorLineStyle getStyle()
    Gets the line style of a column separator line.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(ColumnSeparatorLineStyle style)
    Sets the line style of a column separator line.
    Parameters:
      `style` - the new style

  - ### getWidth

    public Size getWidth()
    Gets the width of a column separation.
    Returns:
      the width

  - ### setWidth

    public void setWidth​(Size width)
    Sets the width of a column separation.
    Parameters:
      `width` - the new width

  - ### getHeight

    public Size getHeight()
    Gets the height of a column separator line. The value of this attribute is a percentage of the height of the columned area.
    Returns:
      the height

  - ### setHeight

    public void setHeight​(Size height)
    Sets the height of a column separator line. The value of this attribute is a percentage of the height of the columned area.
    Parameters:
      `height` - the new height

  - ### getVerticalAlignment

    public VerticalLineAlignment getVerticalAlignment()
    Specifies how to vertically align a line that is less than 100% of its height within the columned area.
    Returns:
      the vertical alignment

  - ### setVerticalAlignment

    public void setVerticalAlignment​(VerticalLineAlignment verticalAlignment)
    Specifies how to vertically align a line that is less than 100% of its height within the columned area.
    Parameters:
      `verticalAlignment` - the new vertical alignment

  - ### getColor

    public String getColor()
    Gets the color of a column or footnote separator line.
    Returns:
      the color

  - ### setColor

    public void setColor​(String color)
    Sets the color of a column or footnote separator line.
    Parameters:
      `color` - the new color